Subject: Re: icmp_unreachable uses wrong ip

From: Hasso Tepper <[email-masked]>
Date: Wed, 4 May 2005 02:35:33 +0300

Patrick McHardy wrote:
> But when multiple addresses are used the result can be even more
> confusing. I don't like inconsistent behaviour, and this patch works
> sometimes and sometimes it doesn't.

I see no behaviour you can define as "it doesn't work". Purpose of this 
patch is to provide info about links (not addresses, you can't have this 
info) used to forward packets and it does the job. 

> > And can you explain what theoretical possibilities router has to obtain
> > info what address was used as nexthop by neighbour?
>
> I can think of none.

Exactly.

regards,

-- 
Hasso Tepper
Elion Enterprises Ltd.
WAN administrator